org.appng.tools.poi

## Class Border

- java.lang.Object
- - org.appng.tools.poi.Border

-     public class Border
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Border.BorderLocation`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Border` | `BOTTOM_DASHED`
    `static Border` | `BOTTOM_DOTTED`
    `static Border` | `BOTTOM_DOUBLE`
    `static Border` | `BOTTOM_THICK`
    `static Border` | `BOTTOM_THIN`
    `static Border` | `LEFT_DASHED`
    `static Border` | `LEFT_DOTTED`
    `static Border` | `LEFT_DOUBLE`
    `static Border` | `LEFT_THICK`
    `static Border` | `LEFT_THIN`
    `static Border` | `RIGHT_DASHED`
    `static Border` | `RIGHT_DOTTED`
    `static Border` | `RIGHT_DOUBLE`
    `static Border` | `RIGHT_THICK`
    `static Border` | `RIGHT_THIN`
    `static Border` | `TOP_DASHED`
    `static Border` | `TOP_DOTTED`
    `static Border` | `TOP_DOUBLE`
    `static Border` | `TOP_THICK`
    `static Border` | `TOP_THIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Border(Border.BorderLocation location, org.apache.poi.ss.usermodel.BorderStyle style)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyTo(org.apache.poi.ss.usermodel.Cell cell)`
    `void` | `applyTo(org.apache.poi.ss.usermodel.CellStyle cellStyle)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BOTTOM_THICK

          public static final Border BOTTOM_THICK

    - #### BOTTOM_THIN

          public static final Border BOTTOM_THIN

    - #### BOTTOM_DASHED

          public static final Border BOTTOM_DASHED

    - #### BOTTOM_DOUBLE

          public static final Border BOTTOM_DOUBLE

    - #### BOTTOM_DOTTED

          public static final Border BOTTOM_DOTTED

    - #### TOP_THICK

          public static final Border TOP_THICK

    - #### TOP_THIN

          public static final Border TOP_THIN

    - #### TOP_DASHED

          public static final Border TOP_DASHED

    - #### TOP_DOUBLE

          public static final Border TOP_DOUBLE

    - #### TOP_DOTTED

          public static final Border TOP_DOTTED

    - #### RIGHT_THICK

          public static final Border RIGHT_THICK

    - #### RIGHT_THIN

          public static final Border RIGHT_THIN

    - #### RIGHT_DASHED

          public static final Border RIGHT_DASHED

    - #### RIGHT_DOUBLE

          public static final Border RIGHT_DOUBLE

    - #### RIGHT_DOTTED

          public static final Border RIGHT_DOTTED

    - #### LEFT_THICK

          public static final Border LEFT_THICK

    - #### LEFT_THIN

          public static final Border LEFT_THIN

    - #### LEFT_DASHED

          public static final Border LEFT_DASHED

    - #### LEFT_DOUBLE

          public static final Border LEFT_DOUBLE

    - #### LEFT_DOTTED

          public static final Border LEFT_DOTTED

  - ### Constructor Detail

    - #### Border

          public Border(Border.BorderLocation location,
                        org.apache.poi.ss.usermodel.BorderStyle style)

  - ### Method Detail

    - #### applyTo

          public void applyTo(org.apache.poi.ss.usermodel.CellStyle cellStyle)

    - #### applyTo

          public void applyTo(org.apache.poi.ss.usermodel.Cell cell)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.